<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <port name="input" producer="false" protocol="bool_timed_sample-prot"/>
  <port name="output_1" producer="true" protocol="bool_timed_sample-prot"/>
  <port name="output_2" producer="true" optional="true" protocol="bool_timed_sample-prot"/>
  <port name="output_3" producer="true" optional="true" protocol="bool_timed_sample-prot"/>
  <port name="output_4" producer="true" optional="true" protocol="bool_timed_sample-prot"/>
</componentspec>
